Bug 1023718 - xz-5.2.0 [stable] is available
xz-5.2.0 [stable] is available
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xz (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Raiskup
Fedora Extras Quality Assurance
: FutureFeature, Tracking, Triaged
Depends On:
Blocks: 1179252 1179255
  Show dependency treegraph
 
Reported: 2013-10-27 06:08 EDT by Upstream Release Monitoring
Modified: 2015-01-07 09:19 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-07 09:19:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Result of abi-compliance-checker for 5.1.2alpha vs 5.2.0 (8.57 KB, application/x-xz)
2015-01-06 07:29 EST, Pavel Raiskup
no flags Details

  None (edit)
Description Upstream Release Monitoring 2013-10-27 06:08:12 EDT
Latest upstream release: 5.1.3alpha
Current version/release in Fedora Rawhide: 5.1.2-6alpha.fc20
URL: http://tukaani.org/xz/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 1 Pavel Raiskup 2014-05-23 02:53:00 EDT
I think it is quite pity we ship version marked "alpha".  We ship alpha/beta
version for some time already so I'll rather ask upstream what distributions
should do.
Comment 2 Pavel Raiskup 2015-01-06 02:19:39 EST
There is only tiny API change which should not cause troubles, see the release
notes [1] (grep for: lzma_allocator const).  The commit [2].  I'll attach
pkgdiff analysis later.

Library analysis:
    $ repoquery_rawhide -q --provides xz-libs.x86_64 | tee xz-libs.provides
    liblzma.so.5()(64bit)
    liblzma.so.5(XZ_5.0)(64bit)
    liblzma.so.5(XZ_5.1.2alpha)(64bit)
    xz-libs = 5.1.2-15alpha.fc22
    xz-libs(x86-64) = 5.1.2-15alpha.fc22

Package xz-libs 5.2.0 will provide 'liblzma.so.5(XZ_5.0)'.  No package requires
'liblzma.so.5(XZ_5.1.2alpha)'.  The only package seems to require
'xz-libs = 5.1.2' (repoquery_rawhide -qR perl-Compress-Raw-Lzma).

    $ repoquery_rawhide --archlist src --whatrequires xz-static
    supermin-0:5.1.11-1.fc22.src

The only package seem to src require 'xz-static' (supermin).

At the end:  only 'supermin' and 'perl-Compress-Raw-Lzma' needs to be rebuilt
for 5.2.0 (STABLE!) rebase.

[1] http://www.mail-archive.com/xz-devel@tukaani.org/msg00216.html
[2] http://git.tukaani.org/?p=xz.git;a=commit;h=3778db1be53e61ff

Pavel
Comment 3 Pavel Raiskup 2015-01-06 07:29:55 EST
Created attachment 976785 [details]
Result of abi-compliance-checker for 5.1.2alpha vs 5.2.0

$ abi-compliance-checker -l xz \
    -old liblzma.so.5.0.99.debug-ABI.dump.txt \
    -new liblzma.so.5.2.0.debug-ABI.dump.txt
Comment 4 Pavel Raiskup 2015-01-06 08:23:48 EST
scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=8539715

Note You need to log in before you can comment on or make changes to this bug.